Summary: Network address calculations for IPv4 and IPv6
Name:    ipcalc
Version: 1.0.3
Release: 2%{?dist}
License: GPLv2+
URL:     https://gitlab.com/ipcalc/ipcalc
Source0: %{url}/-/archive/%{version}/ipcalc-%{version}.tar.gz

BuildRequires: gcc meson
#for geo-infromation
BuildRequires: libmaxminddb-devel
#for manpages
BuildRequires: rubygem-ronn-ng


%description
Ipcalc is a modern tool to assist in network address calculations for IPv4 and IPv6.
It acts both as a tool to output human readable information about a network or address,
as well as a tool suitable to be used by scripts or other programs.
It supports printing a summary about the provided network address, multiple
command line options per information to be printed, transparent IPv6 support,
and in addition it will use libGeoIP if available to provide geographic information.

%prep
%autosetup -n %{name}-%{version}

%build
%meson -Duse_maxminddb=enabled -Duse_runtime_linking=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc README.md NEWS
%{_bindir}/ipcalc
%{_mandir}/man1/ipcalc.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.3-1
- Upgrade to version 1.0.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu May 12 2022 rockerzhu <rockerzhu@tencent.com> - 1.0.1-1
- Initial build
